#include <iostream>
#include <vector>
using namespace std;

int main() {
    int n, l;
    cin >> n >> l;
    vector<int> v(n);
    for (int i = 0; i < n; i++) {
        cin >> v[i];
        if (i == n-1 && v[i] > l) {
            cout << -1;
        } else {
            if (v[i] <= l) {
                cout << i+1;
                break;
            }
        }
    }
    return 0;
}